package org.dromara.system.service;

import org.dromara.system.domain.Community;
import org.dromara.system.domain.bo.CommunityBoStr;
import org.dromara.system.domain.vo.CommunityVo;
import org.dromara.system.domain.bo.CommunityBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2025-03-24
 */
public interface ICommunityService {

    /**
     * 查询【请填写功能名称】
     */
    CommunityVo queryById(String communityId);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<CommunityVo> queryPageList(CommunityBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<CommunityVo> queryList(CommunityBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(CommunityBoStr bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(CommunityBoStr bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    List<CommunityVo> queryAll(CommunityBo bo);
}
